package myredis

import (
	"github.com/redis/go-redis/v9"
)

type Opt func(*Client)

func WithRedisOpt(v *redis.Options) Opt {
	return func(r *Client) {
		r.redisOpt = v
	}
}

func WithDisablePing(v bool) Opt {
	return func(r *Client) {
		r.disablePing = v
	}
}
